# Expeditions: A Mudrunner Game 1.5.0.0
# BID: 0542802E014A7312
# REF: 01 04 0C 5E 00 10 2E 1E

unsafeCheck: true

MASTER_WRITE:
# Redirect DR frametime target to MAIN+0x3574A00
  -
    type: bytes
    main_offset: 0x16589A0
    value_type: uint32
    value: 
      - 0x9000F8EC
      - 0xB94A018C
  # default value
  -
    type: bytes
    main_offset: 0x3574A00
    value_type: float
    value: 33.3333333333
ALL_FPS:
  -
    type: evaluate_write
    address: [MAIN, 0x3574A00]
    value_type: float
    value: FRAMETIME_TARGET
